Type to search.

Create a maintenance window.

Base URL
https://{kibana_url}
  • POST /api/maintenance_window
  • POST /s/{space_id}/api/maintenance_window
Auth

Required privileges

Privileges write-maintenance-window

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

enabled boolean

Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.

schedule object required
custom object required
duration string required

The duration of the schedule. It allows values in <integer><unit> format. <unit> is one of d, h, m, or s for hours, minutes, seconds. For example: 1d, 5h, 30m, 5000s.

start string required

The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: 2025-03-12T12:00:00.000Z.

timezone string

The timezone of the schedule. The default timezone is UTC.

title string required

The name of the maintenance window. While this name does not have to be unique, a distinctive name can help you identify a specific maintenance window.

Responses

Indicates a successful call.

application/json
created_at string required

The date and time when the maintenance window was created.

created_by string required nullable

The identifier for the user that created the maintenance window.

enabled boolean required

Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.

id string required

The identifier for the maintenance window.

schedule object required
custom object required
duration string required

The duration of the schedule. It allows values in <integer><unit> format. <unit> is one of d, h, m, or s for hours, minutes, seconds. For example: 1d, 5h, 30m, 5000s.

start string required

The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: 2025-03-12T12:00:00.000Z.

timezone string

The timezone of the schedule. The default timezone is UTC.

status enum required

The current status of the maintenance window.

Values: running upcoming finished archived
title string required

The name of the maintenance window.

updated_at string required

The date and time when the maintenance window was last updated.

updated_by string required nullable

The identifier for the user that last updated this maintenance window.

400

Indicates an invalid schema or parameters.

403

Indicates that this call is forbidden.